Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		lmms
Version:	0.3.0
Release:	1
Provides:	%{name}
License:	GNU/GPL 
URL:		http://lmms.sourceforge.net/
Group:		Sound
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}.desktop
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	powerful sequencer-, synthesizer- and sample-studio for Linux.
Requires:	qt
# Requires:	alsa
Requires:	SDL_sound
Requires:	libvorbis
Requires:	libsamplerate
Requires:	libsndfile
Requires:	jack-audio-connection-kit	
BuildRequires:	gcc
BuildRequires:	libstdc++-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	make
# BuildRequires:	alsa-devel
BuildRequires:	SDL-devel
BuildRequires:	SDL_sound-devel
BuildRequires:	libvorbis-devel
BuildRequires:	libsamplerate-devel
BuildRequires:	libsndfile-devel
BuildRequires:	jack-audio-connection-kit-devel
BuildRequires:	qt-devel

%description
LMMS aims to be a free alternative to popular (but commercial and closed-
source) programs like FruityLoops, Cubase and Logic giving you the ability of
producing music with your computer by creating/synthesizing sounds, arranging
samples, playing live with keyboard and much more...

LMMS combines the features of a tracker-/sequencer-program (pattern-/channel-/
sample-/song-/effect-management) and those of powerful synthesizers and
samplers in a modern, user-friendly and easy to use graphical user-interface.

LMMS is still in heavy development, so with this version please don't expect a
complete, ready and bugfree program!!

%package 	data
Summary:	samples, presets, demo-projects and localization-files for LMMS
Group:		%{group}
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-data = %{version}-%{release}

%description 	data
This package contains platform-independent data and resources for Linux
MultiMedia Studio (LMMS), e.g. samples, presets and demo-projects.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
export CFLAGS="${CFLAGS/-fomit-frame-pointer/}"
export CXXFLAGS="${CXXFLAGS/-fomit-frame-pointer/}"

%configure --prefix=%_prefix
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 
mkdir -p $RPM_BUILD_ROOT/usr/share/applications
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/usr/share/applications
install -m 644 data/themes/default/icon.png $RPM_BUILD_ROOT/usr/share/lmms

%files
%defattr(-,root,root)
%_bindir/lmms
%_libdir/lmms
%_datadir/applications
%_datadir/lmms/icon.png
%_datadir/menu/lmms
%_datadir/mime/packages/lmms.xml
%_mandir

%files data
%defattr(-,root,root)
%_datadir/lmms
%exclude  %_datadir/lmms/icon.png


%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Aug 23 2007 Stefan Gottwald <gotti@ccux-linux.de> 0.3.0-1
- version update
* Mon Aug 28 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.2.1-1
- version update
* Thu Feb 02 2005 Christian Wasem <wasem@ccux-linux.de> 0.1.4-1
- Initial Release
